Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84043 - switchdesk leaves X session brokem
Summary: switchdesk leaves X session brokem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: switchdesk
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79578 CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-02-11 13:29 UTC by Alan Cox
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-03 21:00:45 UTC


Attachments (Terms of Use)

Description Alan Cox 2003-02-11 13:29:35 UTC
Switchdesk seems to have a couple of problems Telsa found

Firstly if you select "this desktop only" it generates a
.Xclients-localhost.localdomain:0.0 file. If
you dump the environment from startx of a local display DISPLAY is ":0" not
":0.0" so it fails to find it.

Secondly if you create a local one it seems to also delete the Xclients.default
file which means all your other desktops (and due the bug above) all your
desktops stop working

Comment 1 Ngo Than 2004-02-03 21:00:45 UTC
it's fixed in 4.0.0, which is available in rawhide.


Note You need to log in before you can comment on or make changes to this bug.